Index: code/branches/minigame4DHS14/src/modules/mini4Dgame/Mini4DgameCenterpoint.cc
===================================================================
--- code/branches/minigame4DHS14/src/modules/mini4Dgame/Mini4DgameCenterpoint.cc	(revision 10156)
+++ 	(revision )
@@ -1,98 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file Mini4DgameCenterpoint.cc
-    @brief Implementation of the Mini4DgameCenterpoint class.
-*/
-
-#include "Mini4DgameCenterpoint.h"
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-
-#include "../orxonox/graphics/BlinkingBillboard.h"
-
-#include "Mini4Dgame.h"
-
-namespace orxonox
-{
-
-    RegisterClass(Mini4DgameCenterpoint);
-    /**
-    @brief
-        Constructor. Registers and initializes the object and checks whether the gametype is actually Mini4Dgame.
-    */
-    Mini4DgameCenterpoint::Mini4DgameCenterpoint(Context* context) : StaticEntity(context)
-    {
-        RegisterObject(Mini4DgameCenterpoint);
-
-        this->width_ = 200;
-        this->height_ = 200;
-        this->length_ = 200;
-
-        this->checkGametype();
-    }
-
-    /**
-    @brief
-        Method to create a Mini4DgameCenterpoint through XML.
-    */
-    void Mini4DgameCenterpoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(Mini4DgameCenterpoint, XMLPort, xmlelement, mode);
-
-        XMLPortParam(Mini4DgameCenterpoint, "dimension", setFieldDimension, getFieldDimension, xmlelement, mode);
-        XMLPortParam(Mini4DgameCenterpoint, "boardtemplate", setBoardtemplate, getBoardtemplate, xmlelement, mode);
-    }
-
-    /**
-    @brief
-        Is called when the gametype has changed.
-    */
-    void Mini4DgameCenterpoint::changedGametype()
-    {
-        SUPER(Mini4DgameCenterpoint, changedGametype);
-
-        // Check, whether it's still Mini4Dgame.
-        this->checkGametype();
-    }
-
-    /**
-    @brief
-        Checks whether the gametype is Mini4Dgame and if it is, sets its centerpoint.
-    */
-    void Mini4DgameCenterpoint::checkGametype()
-    {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(Mini4Dgame)))
-        {
-            Mini4Dgame* Mini4DgameGametype = orxonox_cast<Mini4Dgame*>(this->getGametype().get());
-            Mini4DgameGametype->setCenterpoint(this);
-        }
-    }
-}
Index: code/branches/minigame4DHS14/src/modules/mini4Dgame/Mini4DgameCenterpoint.h
===================================================================
--- code/branches/minigame4DHS14/src/modules/mini4Dgame/Mini4DgameCenterpoint.h	(revision 10156)
+++ 	(revision )
@@ -1,102 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file Mini4DgameCenterpoint.h
-    @brief Declaration of the Mini4DgameCenterpoint class.
-*/
-
-#ifndef _Mini4DgameCenterpoint_H__
-#define _Mini4DgameCenterpoint_H__
-
-#include <string>
-
-#include <util/Math.h>
-
-#include "worldentities/StaticEntity.h"
-#include "mini4Dgame/Mini4DgamePrereqs.h"
-//#include "mini4Dgame/Mini4Dgame.h"
-
-namespace orxonox
-{
-    /**
-    @brief
-        The Mini4DgameCenterpoint implements the playing field @ref orxonox::Mini4Dgame "Mini4Dgame" takes place in and allows for many parameters of the minigame to be set.
-        
-    */
-    class _Mini4DgameExport Mini4DgameCenterpoint : public StaticEntity
-    {
-        public:
-            Mini4DgameCenterpoint(Context* context); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Mini4Dgame.
-            virtual ~Mini4DgameCenterpoint() {}
-
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method to create a Mini4DgameCenterpoint through XML.
-
-            virtual void changedGametype(); //!< Is called when the gametype has changed.
-
-            /**
-            @brief Get the template of the board.
-            @return Returns the name of the template of the board.
-            */
-            const std::string& getBoardtemplate() const
-                { return this->boardtemplate_; }
-
-
-            /**
-            @brief Set the template for the board.
-            @param boardtemplate The name of the template to be set.
-            */
-            void setBoardtemplate(const std::string& boardtemplate)
-                { this->boardtemplate_ = boardtemplate; }
-
-
-            /**
-            @brief Set the dimensions of the playing field.
-            @param dimension A vector with the width of the playing field as first component, the height as second and the length as third.
-            */
-            void setFieldDimension(const Vector3& dimension)
-                { this->width_ = dimension.x; this->height_ = dimension.y; this->length_ = dimension.z;}
-            /**
-            @brief Get the dimensions of the playing field.
-            @return Returns a vector with the width of the playing field as first component, the height as second and the length as third.
-            */
-            Vector3 getFieldDimension() const
-                { return Vector3(this->width_, this->height_, this->length_); }
-
-        private:
-            void checkGametype(); //!< Checks whether the gametype is Mini4Dgame and if it is, sets its centerpoint.
-
-            std::string boardtemplate_; //!< The template for the board.
-
-            float width_; //!< The height of the playing field.
-            float height_; //!< The width of the playing field.
-            float length_; //!< The length of the playing field.
-    };
-}
-
-#endif /* _Mini4DgameCenterpoint_H__ */