Index: /code/branches/leveljoemeHS14/data/levels/AnihilationThreat.oxw
===================================================================
--- /code/branches/leveljoemeHS14/data/levels/AnihilationThreat.oxw	(revision 10161)
+++ /code/branches/leveljoemeHS14/data/levels/AnihilationThreat.oxw	(revision 10162)
@@ -5,5 +5,5 @@
 	screenshot= "screenshot.png"
 />
-
+<!--########################  ALL INCLUSIONS #############################-->
 
  <?lua
@@ -74,5 +74,5 @@
   	
   <SpawnPoint 
-	team=0 position="9500,9500,9500" 
+	team=0 position="0,0,0" 
 	lookat="0,1,0" 
 	spawnclass=SpaceShip 
@@ -91,5 +91,9 @@
     				
     
-    		<!----------------Objects------------------>
+
+
+
+
+<!--########################  Billboards and Pickups #############################-->
     
     
@@ -106,4 +110,5 @@
 <Billboard position=" 8500,8500, 8500" material="Examples/Flare" colour="1.0, 0.0, 0.0" />  
 <Billboard position=" 9500,9500, 9500" material="Examples/Flare" colour="1.0, 1.0, 0.0" />  
+<Billboard position=" 16700,16700,16700" material="Examples/Flare" colour="0.8, 0.2, 1.0" />  
 
 
@@ -121,5 +126,5 @@
     			
     			
-    			 <!------------On-screen texts---------->
+    	    <!--########################  On screen notifications and distance triggers #############################-->
     			 
 
@@ -227,18 +232,28 @@
 </SimpleNotification>
 
-
-<SimpleNotification message="Congratulations! You saved humanity!">
-	<EventTrigger  stayActive="true">
-              <events>
-                <trigger>
-                  <EventListener event="endboss"/>
-                </trigger>
-              </events>
-            </EventTrigger>
+<DistanceTrigger name="flying12" position="13050,13050,13050" target="Pawn" distance=200 stayActive="true" delay=1/>
+<SimpleNotification message="Don't fotget to loot the final boss">
+    <events>
+        <trigger>
+            <EventListener event="flying12" />
+        </trigger>
+    </events>
 </SimpleNotification>
 
-
-
-<!-- Meteoriten, die sich bewegen -->
+<SimpleNotification message="Congratulations! You saved humanity!" broadcast="true">
+    <events>
+        <trigger>
+            <EventListener event="endboss" />
+        </trigger>
+    </events>
+</SimpleNotification>
+
+<DistanceTrigger name="endMissio" position="16700,16700,16700" target="Pawn" distance=50 stayActive="true" delay=1/>
+
+
+
+
+<!--######################## Meteoriten #############################-->
+
    <?lua
       for i = 1, 800, 1
@@ -276,5 +291,6 @@
  <!--Enemy team-->
   
- <!--*****Spaceship 1******* -->
+ <!--########################  spaceships within the asteroid field #############################-->
+
        
   <SpaceShip position="1900,1500,1500" lookat="2050,0,-1000" name="allied" health="200" maxhealth="200" initialhealth="200" >
@@ -296,7 +312,5 @@
   </SpaceShip>
       
-      
-      <!--*****Spaceship 2 and 3******* -->
-      
+            
       <SpaceShip position="2900,2500,2500" lookat="2050,0,-1000" name="allied" health="200" maxhealth="200" initialhealth="200" >
     	  <templates>
@@ -336,5 +350,4 @@
       </SpaceShip>
  
-      <!--######################## Spaceship 4 ####################--> 
       <SpaceShip position="3520,3520, 3500" lookat="2050,0,-1000" name="allied" health="150" maxhealth="150" initialhealth="150" >
          	  <templates>
@@ -355,4 +368,5 @@
          	  
            </SpaceShip>
+      
         <!--****************************After the Asteroid Field***************************-->
         
@@ -364,49 +378,7 @@
 
         
-<!--####################################### too many allied  ################################################
-
-               <SpaceShip position="10000,10000,10000" lookat="2050,0,-1000" name="allied" health="800" maxhealth="800" initialhealth="800" >
-             	  <templates>
-                         <Template link=spaceshipassff />
-                   </templates>
-                    <controller>
-      	  	  	  	  <WaypointPatrolController alertnessradius=2000 team=0 >
-                               <events>
-                                          <activity>
-                                              <EventListener event="afterPortal" />
-                                           </activity>
-                                      </events>
-             					<waypoints>
-            	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15000,15000,15000" />
-
-                               </waypoints>
-             							
-                           </WaypointPatrolController>
-                    </controller>
-             </SpaceShip>
-
-
-             <SpaceShip position="10150,10000,9850" lookat="2050,0,-1000" name="allied" health="800" maxhealth="800" initialhealth="800" >
-           	  <templates>
-                       <Template link=spaceshipassff />
-                 </templates>
-                  <controller>
-                     <WaypointPatrolController alertnessradius=2000 team=0 >
-                         <events>
-                                    <activity>
-                                        <EventListener event="afterPortal" />
-                                     </activity>
-                                </events>
-       					<waypoints>
-      	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15150,15000,14850" />
-
-                         </waypoints>
-       							
-                     </WaypointPatrolController>
-
-                  </controller>
-             </SpaceShip>
-
-             
+<!--####################################### allied team  ################################################-->
+
+
              
              
@@ -433,5 +405,4 @@
              </SpaceShip>
 
-############################################################-->
       
       <SpaceShip position="10300,10000,10300" lookat="2050,0,-1000" name="allied" health="800" maxhealth="800" initialhealth="800" >
@@ -564,8 +535,8 @@
 <!--Creating player's team END  -->
 
-<!--#########################################Creating enemy's team END #################################  -->
+<!--#########################################Creating enemy team END #################################  -->
         
 
-<SpaceShip position="15500,15500,15500" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+<SpaceShip position="15500,15500,15500" lookat="2050,0,-1000" name="enemy" health="200" maxhealth="200" initialhealth="200" >
                                 	  <templates>
                                             <Template link=spaceshipghost />
@@ -584,5 +555,5 @@
       
       
-      <SpaceShip position="15750,15500,15750" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+      <SpaceShip position="15750,15500,15750" lookat="2050,0,-1000" name="enemy" health="200" maxhealth="200" initialhealth="200" >
                                           	  <templates>
                                                       <Template link=spaceshipghost />
@@ -599,5 +570,5 @@
                                                  </controller>
                                             </SpaceShip>
-      <SpaceShip position="16000,15500,16000" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+      <SpaceShip position="16000,15500,16000" lookat="2050,0,-1000" name="enemy" health="200" maxhealth="200" initialhealth="200" >
                                                	  <templates>
                                                    <Template link=spaceshipghost />
@@ -702,7 +673,18 @@
                                                                 </SpaceShip>
       
-                
+      <!-- ##################### End the Mission (success) ##########################################-->
+     
+
+      
+      
+      <Script code="Mission endMission true" onLoad="false">
+          <events>
+              <trigger>
+                  <EventListener event="endMissio" />
+              </trigger>
+          </events>
+      </Script> 
          
-		 <!------------Quest---------->
+      <!--########################  Quests #############################-->
 
 