Index: branches/mount_points/src/lib/graphics/importer/bsp/bsp_file.cc
===================================================================
--- branches/mount_points/src/lib/graphics/importer/bsp/bsp_file.cc	(revision 10149)
+++ branches/mount_points/src/lib/graphics/importer/bsp/bsp_file.cc	(revision 10165)
@@ -430,5 +430,4 @@
   char fileName [500];
   char ext [500];
-  struct stat results;
 
 
@@ -660,7 +659,7 @@
   int      errorCode = 0;           //!< the error code for the texture loading functions
   unsigned int   lightMap;          //!< the OpenGL texture handle
-  int      mipmapLevel = 0;         //!< the maximum mipmap level for this texture
-  int      mipmapWidth = 0;         //!< the width of the mipmap
-  int      mipmapHight = 0;         //!< the height of the mipmap3
+  //int      mipmapLevel = 0;         //!< the maximum mipmap level for this texture
+  //int      mipmapWidth = 0;         //!< the width of the mipmap
+  //int      mipmapHight = 0;         //!< the height of the mipmap3
   float sc, scale, temp;
   for(int i = 0; i < 128*128*3 ; i++)
@@ -1101,7 +1100,7 @@
   {
     int sto  =  array[0];
-    array[0] =  scale * array[1] ;
-    array[1] =  scale * array[2];
-    array[2] =  scale * sto ;
+    array[0] =  (int) scale * array[1] ;
+    array[1] =  (int) scale * array[2];
+    array[2] =  (int) scale * sto ;
   }
 
Index: branches/mount_points/src/lib/graphics/importer/static_model.cc
===================================================================
--- branches/mount_points/src/lib/graphics/importer/static_model.cc	(revision 10149)
+++ branches/mount_points/src/lib/graphics/importer/static_model.cc	(revision 10165)
@@ -116,6 +116,5 @@
 
       // now check if it is a mount point identifier
-      if( this->data->getGroups().size() != 5) {
-        PRINTF(1)("the face count of %s is wrong, perhaps you missnamed this object or used the wrong mount point object\n", groupName.c_str());
+      if( (*groupIt)._faces.size() != 6) {        PRINTF(1)("the face count of %s is wrong, perhaps you missnamed this object or used the wrong mount point object (got %i faces)\n", groupName.c_str(), (*groupIt)._faces.size());
       }
 
@@ -135,5 +134,5 @@
       }
 
-      // vertex with the max count is the up-point
+      // vertex with the max surrounding faces is the up-point (pyramid like object)
       std::vector<Vector>::const_iterator it = vertices.begin();
       Vector tmpPoint;
@@ -167,4 +166,9 @@
       center /= vertices.size();
 
+      PRINTF(0)("Up Point\n");
+      upPoint.debug();
+
+      PRINTF(0)("Center\n");
+      center.debug();
 
     }
Index: branches/mount_points/src/lib/graphics/importer/static_model_data.h
===================================================================
--- branches/mount_points/src/lib/graphics/importer/static_model_data.h	(revision 10149)
+++ branches/mount_points/src/lib/graphics/importer/static_model_data.h	(revision 10165)
@@ -41,5 +41,5 @@
   ObjectListDeclaration(StaticModelData);
 
-private:
+public:
   ////////////////////
   /// SUB-ELEMENTS ///
Index: branches/mount_points/src/story_entities/movie_loader.cc
===================================================================
--- branches/mount_points/src/story_entities/movie_loader.cc	(revision 10149)
+++ branches/mount_points/src/story_entities/movie_loader.cc	(revision 10165)
@@ -63,8 +63,8 @@
 
 
-ErrorMessage MovieLoader::init() {}
+ErrorMessage MovieLoader::init() {  return ErrorMessage();}
 
 
-ErrorMessage MovieLoader::loadData() {}
+ErrorMessage MovieLoader::loadData() {  return ErrorMessage();}
 
 
@@ -72,4 +72,6 @@
 {
   this->unsubscribeEvents(ES_GAME);
+
+  return ErrorMessage();
 }
 
@@ -82,4 +84,6 @@
   this->bRunning = true;
   this->run();
+
+  return true;
 }
 
@@ -89,8 +93,10 @@
 
   this->bRunning = false;
+
+  return true;
 }
 
-bool MovieLoader::pause() { }
-bool MovieLoader::resume() { }
+bool MovieLoader::pause() { return false; }
+bool MovieLoader::resume() { return false; }
 
 void MovieLoader::run()