Index: /branches/gui/src/world_entities/questGUI/quest.cc
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest.cc	(revision 10166)
+++ /branches/gui/src/world_entities/questGUI/quest.cc	(revision 10167)
@@ -51,4 +51,6 @@
 {
   this->registerObject(this, Quest::_objectList);
+  
+  this->Status = false;
 
   if( root != NULL)
@@ -72,4 +74,5 @@
  * @param root: root xml tag for this element
  */
+ 
 void Quest::loadParams(const TiXmlElement* root)
 {
@@ -89,2 +92,16 @@
 }
 
+void Quest::setQuestActive()
+{
+  this->Status = true;
+}
+
+void Quest::setQuestInactive()
+{
+  this->Status = false;
+}
+
+const bool Quest::getQuestStatus()
+{
+  return this->Status;
+}
Index: /branches/gui/src/world_entities/questGUI/quest.h
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest.h	(revision 10166)
+++ /branches/gui/src/world_entities/questGUI/quest.h	(revision 10167)
@@ -19,6 +19,5 @@
 
    virtual void loadParams(const TiXmlElement* root = NULL);
-
-   /** @param questName sets the name of this quest */
+   
    inline void setQuestName(const std::string& questName)                { this->questName = questName; }
    inline const std::string& getQuestName()                              { return this->questName; }
@@ -33,7 +32,12 @@
    inline void setRewardPicture(const std::string& rewardPicture)        { this->rewardPicture  = rewardPicture; }
    inline const std::string& getRewardPicture()                          { return this->rewardPicture; }
+   void setQuestActive();
+   void setQuestInactive();
+   const bool getQuestStatus();
+   
 
    
   private:
+    bool                    Status;
     std::string             questName;
     std::string             questDescription;
Index: /branches/gui/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10166)
+++ /branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10167)
@@ -64,5 +64,5 @@
 {
   this->registerObject(this, QuestGUI::_objectList);
-
+  
   this->toList(OM_GROUP_00);
   
@@ -116,5 +116,4 @@
       questImage->loadImageFromFile(this->myQuest->getQuestPicture());
       questImage->show();
-      //questImage->setBorderBottom(20);
       headerBox->pack(questImage);
       
@@ -125,7 +124,6 @@
         outlineBox->pack(questDifficulty);
       }
+      headerBox->setBorderBottom(40);
       headerBox->pack(outlineBox);
-      headerBox->setBorderBottom(100);
-      
     }
     
@@ -135,6 +133,5 @@
       questTxt->setText(this->myQuest->getQuestDescription());
       labelBox->pack(questTxt);
-      labelBox->setBorderBottom(100);
-      labelBox->setBorderTop(100);
+      labelBox->setBorderBottom(40);
     }
     
@@ -147,25 +144,31 @@
       rewardImage->show();
       rewardBox->pack(rewardImage);
-      //rewardImage->setBorderBottom(50);
     
       OrxGui::GLGuiMultiLineText* rewardTxt = new OrxGui::GLGuiMultiLineText();
       rewardTxt->setText(this->myQuest->getRewardDescription());
+      rewardBox->setBorderBottom(40);
       rewardBox->pack(rewardTxt);
-      rewardBox->setBorderBottom(100);
-      
     }
     
     OrxGui::GLGuiBox* answerBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
-      OrxGui::GLGuiButton* acceptButton = new OrxGui::GLGuiPushButton("Accept");
-      acceptButton->released.connect(this, &QuestGUI::accept);
-      answerBox->pack(acceptButton);
-      acceptButton->select();
+      OrxGui::GLGuiBox* acceptBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
+      {
+        OrxGui::GLGuiButton* acceptButton = new OrxGui::GLGuiPushButton("Accept");
+        acceptButton->released.connect(this, &QuestGUI::accept);
+        acceptBox->setBorderRight(70);
+        acceptBox->pack(acceptButton);
+      }
       
-      OrxGui::GLGuiButton* refuseButton = new OrxGui::GLGuiPushButton("Refuse");
-      refuseButton->released.connect(this, &QuestGUI::refuse);
-      answerBox->pack(refuseButton);
-    }
-    
+      OrxGui::GLGuiBox* refuseBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
+      {
+        OrxGui::GLGuiButton* refuseButton = new OrxGui::GLGuiPushButton("Refuse");
+        refuseButton->released.connect(this, &QuestGUI::refuse);
+        refuseBox->setBorderLeft(0);
+        refuseBox->pack(refuseButton);
+      }
+      answerBox->pack(acceptBox);
+      answerBox->pack(refuseBox);
+    }
     this->questBox->pack(headerBox);
     this->questBox->pack(labelBox);
@@ -195,6 +198,6 @@
 void QuestGUI::accept()
 {
+  this->myQuest->setQuestActive();
   this->bKillGui = true;
-  
 }
 
Index: /branches/gui/src/world_entities/questGUI/quest_gui.h
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest_gui.h	(revision 10166)
+++ /branches/gui/src/world_entities/questGUI/quest_gui.h	(revision 10167)
@@ -38,4 +38,6 @@
     OrxGui::GLGuiImage*     rewardImage;
     OrxGui::GLGuiBox*       answerBox;
+    OrxGui::GLGuiBox*       acceptBox;
+    OrxGui::GLGuiBox*       refuseBox;
 
     OrxSound::SoundSource*  selectorSource;