Index: code/branches/storymodeHS14/data/gui/scripts/CampaignMenu.lua
===================================================================
--- code/branches/storymodeHS14/data/gui/scripts/CampaignMenu.lua	(revision 10157)
+++ code/branches/storymodeHS14/data/gui/scripts/CampaignMenu.lua	(revision 10174)
@@ -52,5 +52,5 @@
     
 function P.CheckLevel(filename)
-	local file = io.open("/home/pmao/pmao-extra-0/orxonox/storymodeHS14/data/gui/scripts/campaign.txt", "r+")
+	local file = io.open("/home/pmao/pmao-extra-0/orxonox/storymode/campaign.txt", "r+")
 	local index = 0
 	local returnvalue = false
@@ -134,3 +134,5 @@
 end
 
+
+
 return P
Index: code/branches/storymodeHS14/data/gui/scripts/campaign.txt
===================================================================
--- code/branches/storymodeHS14/data/gui/scripts/campaign.txt	(revision 10157)
+++ code/branches/storymodeHS14/data/gui/scripts/campaign.txt	(revision 10174)
@@ -2,6 +2,6 @@
 spacebar!!!                                                .
 missionOne.oxw 1                                           .
-fightInOurBack.oxw 1                                       .
-pirateAttack.oxw 1                                         .
+fightInOurBack.oxw 0                                       .
+pirateAttack.oxw 0                                         .
 iJohnVane_TriptoArea51.oxw 0                               .
 ............................................................
Index: code/branches/storymodeHS14/src/orxonox/gametypes/Mission.cc
===================================================================
--- code/branches/storymodeHS14/src/orxonox/gametypes/Mission.cc	(revision 10157)
+++ code/branches/storymodeHS14/src/orxonox/gametypes/Mission.cc	(revision 10174)
@@ -82,31 +82,9 @@
     {
     	std::fstream myfile;
-    	    	myfile.open("/home/pmao/pmao-extra-0/orxonox/storymodeHS14/data/gui/scripts/campaign.txt");
-    	    	std::string line;
-    	    	std::string mission=this->getFilename();
-    	    	int k=58-mission.length();
-    	    	std::string helperstring = "";
-    	    	if(myfile.is_open()){
-    	    	    	while (k>1) {
-    	    	    		helperstring=helperstring+" ";
-    	    	    		k=k-1;
-    	    	    	}
-    	    	    	helperstring=helperstring+".";
-    	    	       while(getline (myfile,line)){
-    	    	    	  if(line==mission+" 0"+helperstring){
-    	    	    		  long pos = myfile.tellp();
-    	    	    		  myfile.seekp (pos-61);
-    	    	    		  myfile << mission+" 1"+helperstring;
-    	    	    	  }
-    	    	    	}}
-    	    	else{
-    	    		this->end();
-    	    	}
-    	    	        myfile.flush();
-    	    	        myfile.clear();
-    	    	        myfile.close();
+
         Gametype::start();
         this->setTeams();
-
+        //just for testing
+        //this->missionAccomplished_=true;
         this->gtinfo_->sendAnnounceMessage("Your mission has started!");
     }
@@ -128,5 +106,5 @@
             this->gtinfo_->sendAnnounceMessage("Mission accomplished!");
             std::fstream myfile;
-                	    	myfile.open("/home/pmao/pmao-extra-0/orxonox/storymodeHS14/data/gui/scripts/campaign.txt");
+                	    	myfile.open("/home/maxima/maxima-extra-0/orxonox/storymodeHS14/campaign.txt");
                 	    	std::string line;
                 	    	std::string mission=this->getFilename();
@@ -169,5 +147,5 @@
         for (ObjectList<Mission>::iterator it = ObjectList<Mission>::begin(); it != ObjectList<Mission>::end(); ++it)
         {//TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would end ALL missions!
-            if(accomplished){
+           /* if(accomplished){
             	std::fstream myfile;
             		myfile.open("/home/pmao/pmao-extra-0/orxonox/storymodeHS14/data/gui/scripts/campaign.txt");
@@ -193,5 +171,5 @@
             	    myfile.clear();
             	    myfile.close();
-            }
+            }*/
         	it->setMissionAccomplished(accomplished);
             it->end();